<form [formGroup]="form">
    <mat-form-field class="example-full-width">
        <input matInput placeholder="User Name" formControlName="userName" required>
    </mat-form-field>
    <mat-form-field class="example-full-width">
        <input matInput placeholder="Password" type="password" formControlName="password" required>
    </mat-form-field>
    <mat-form-field class="example-full-width">
        <input matInput placeholder="First Name" formControlName="firstName" required>
    </mat-form-field>
    <mat-form-field class="example-full-width">
        <input matInput placeholder="Last Name" formControlName="lastName" required>
    </mat-form-field>
    <mat-form-field class="example-full-width">
        <input matInput placeholder="Contact" type="tel" formControlName="contactNumber" required>
    </mat-form-field>

    <mat-form-field class="example-full-width">
        <mat-label>User Role</mat-label>
        <mat-select formControlName="roleId" required (ngModelChange)="onChange($event)">
            <mat-option [value]="0" ng-selected="true">Select Role </mat-option>
            <mat-option *ngFor="let role of roles" [value]="role.roleId">
                {{role.roleName}}
            </mat-option>
        </mat-select>
    </mat-form-field>

    <mat-form-field class="example-full-width">
        <input matInput placeholder="Linked In Url" type="text" formControlName="linkedInUrl">
    </mat-form-field>
    <mat-form-field class="example-full-width">
        <input matInput placeholder="Years of Experience" type="number" formControlName="yearsOfExperience">
    </mat-form-field>

    <mat-form-field class="invisible example-full-width">
    <input matInput formControlName="regCode">
    </mat-form-field>
    <div class="container text-center">
 
    <button mat-button (click)="openDialog('Add',{})" mat-flat-button color="primary">Add Skill</button>
 
    <table mat-table [dataSource]="mentorSkills" #mytable class="my-table mat-elevation-z8">
    
        <ng-container matColumnDef="skillName">
        <th mat-header-cell *matHeaderCellDef> Technology </th>
        <td mat-cell *matCellDef="let element"> {{element.skillName}} </td>
        </ng-container>
    
        <ng-container matColumnDef="selfRating">
        <th mat-header-cell *matHeaderCellDef> Self Rating </th>
        <td mat-cell *matCellDef="let element"> {{element.selfRating}} </td>
        </ng-container>

        <ng-container matColumnDef="yearsOfExperience">
        <th mat-header-cell *matHeaderCellDef> Years Of Experience </th>
        <td mat-cell *matCellDef="let element"> {{element.yearsOfExperience}} years</td>
        </ng-container>
        
        <ng-container matColumnDef="trainingsDelivered">
        <th mat-header-cell *matHeaderCellDef> Trainings Delivered </th>
        <td mat-cell *matCellDef="let element"> {{element.trainingsDelivered}} </td>
        </ng-container>

        <ng-container matColumnDef="facilitiesOffered">
        <th mat-header-cell *matHeaderCellDef> Facilities Offered </th>
        <td mat-cell *matCellDef="let element"> {{element.facilitiesOffered}} </td>
        </ng-container>
        <!-- Action Column -->
        <ng-container matColumnDef="action">
        <th mat-header-cell *matHeaderCellDef> Action </th>
        <td mat-cell *matCellDef="let element" class="action-link"> 
            <a (click)="openDialog('Update',element)">Edit</a> | 
            <a (click)="openDialog('Delete',element)">Delete</a>  
        </td>
        </ng-container>
    
        <tr mat-header-row *matHeaderRowDef="mentorSkillColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: mentorSkillColumns;"></tr>
    </table>
 
 </div>
</form>